package com.lz.modules.equipment.dao;
/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2020-07-29
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lz.modules.equipment.entity.EquipmentSpecs;
import com.lz.modules.equipment.entity.EquipmentSpecsReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EquipmentSpecsMapper extends BaseMapper<EquipmentSpecs> {


	EquipmentSpecs selectEquipmentSpecsById(@Param("id") Long id);


	Long insertEquipmentSpecs(EquipmentSpecs equipmentSpecs);


	int updateEquipmentSpecsById(EquipmentSpecs equipmentSpecs);


	int updateCoverEquipmentSpecsById(EquipmentSpecs equipmentSpecs);


	int deleteEquipmentSpecsById(@Param("id") Long id);


    EquipmentSpecs selectEquipmentSpecsByTypeBrandSpecss(@Param("typeId") Long typeId, @Param("brandId") Long brandId, @Param("specs") String specs);

    List<EquipmentSpecs> selectByCondition(@Param("page") IPage page, @Param("req") EquipmentSpecsReq req);
    List<EquipmentSpecs> selectEquipmentSpecsByTypeBrandLikeSpecss(@Param("typeId") Long typeId, @Param("brandId") Long brandId, @Param("specs") String specs);

    EquipmentSpecs selectSpecs(@Param("specs") String specs);
}